<?php
namespace App\Http\Controllers\Administrator\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Auth;

class LoginController extends Controller
{
    use AuthenticatesUsers;
	protected $redirectTo = '/administrator/home';
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
 		
    }

    public function showLoginForm()
    {

        return view('administrator.auth.login');
    }
	
	protected function guard()
    {
        return Auth::guard('administrator');
    }
    
	public function logout(Request $request)
    {
        $this->guard()->logout();
        $request->session()->invalidate();
	    return redirect('/administrator_login');
    }
}
