<?php

namespace App\Http\Controllers\Administrator\Subscription;

use App\Classes\Models\Subscription\Subscription;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;

class IndexController extends Controller
{

    protected $subsObj;

    public function __construct( Subscription $subscription )
    {
        
        $this->subsObj = $subscription;
        
    }

    public function index( Request $request )
    {
       

        $page = 0;
        $search = '';
        if ( $request->get( 'page' ) ) {
            $page = $request->get( 'page' );
        }
        if ( $request->get( 'search' ) ) {
            $search = trim( $request->get( 'search' ) );
        }
        
        $subscriptions = $this->subsObj->list( $search, $page );
        $totalRecordCount = $this->subsObj->listTotalCount( $search );

        $basePath = \Request::url() . '?search=' . $search . '&';
        $paging = $this->subsObj->preparePagination( $totalRecordCount, $basePath );
        
        return view( 'administrator.subscriptions.index', compact( 'subscriptions', 'paging' ) );
    }

    // public function save( Request $request )
    // {
    //     $submitData = $request->all();
    //     $data = $submitData;
    //     $data['role_id'] = 2;

    //     $result = $this->userObj->saveRecord( $data );
    //     $securitymodule = $this->securityModuleObj->checkboxList();
    //     if ( isset( $result['id'] ) ) {
    //         $user = $this->userObj->display( $result['id'] );
    //         if ( $result['success'] == false ) {
    //             return view( 'administrator.users.create', compact( 'securitymodule', 'user' ) )->withErrors( $result['message'] );
    //         } else {
    //             $request->session()
    //                     ->flash( 'success', $result['message'] );
    //             return view( 'administrator.users.create', compact( 'securitymodule', 'user' ) );
    //         }
    //     } else {
    //         if ( $result['success'] == false ) {
    //             return view( 'administrator.users.create', compact( 'securitymodule' ) )->withErrors( $result['message'] );
    //         } else {
    //             $request->session()
    //                     ->flash( 'success', $result['message'] );
    //             return view( 'administrator.users.create', compact( 'securitymodule' ) );
    //         }
    //     }
    // }

    // public function create()
    // {
    //     if ( ! Gate::allows( 'user_management_add' ) ) {
    //         return abort( 404 );
    //     }

    //     $securitymodule = $this->securityModuleObj->checkboxList();
    //     return view( 'administrator.users.create', compact( 'securitymodule' ) );
    // }

    // public function edit( $id )
    // {
    //     if ( ! Gate::allows( 'user_management_edit' ) ) {
    //         return abort( 404 );
    //     }

    //     $user_links_id = [];
    //     $user = $this->userObj->display( $id );
    //     $securitymodule = $this->securityModuleObj->checkboxList();
    //     $user_links = $this->userToSecurityModuleObj->getAllLinksArrayByUserId( $id );
    //     return view( 'administrator.users.create', compact( 'user', 'securitymodule', 'user_links' ) );
    // }

    // public function destroy( $id )
    // {
    //     if ( ! Gate::allows( 'user_management_delete' ) ) {
    //         return abort( 404 );
    //     }

    //     $isdelete = $this->userObj->removed( $id );
    //     if ( $isdelete ) {
    //         return redirect()
    //             ->route( 'administrator.users.index' )
    //             ->with( 'success', 'User Deleted.' );
    //     } else {
    //         return redirect()
    //             ->route( 'administrator.users.index' )
    //             ->with( 'error', 'User Is Not deleted..' );
    //     }
    // }
}
