<?php

namespace App\Http\Middleware;
use Closure;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Classes\Models;

class CheckAdministrator
{
    public function handle($request, Closure $next)
    {
		if (!Auth::guard('administrator')->check()) 
		{
           return redirect('administrator_login');
			
        }
		else
		{

			$user    = Auth::guard('administrator')->user();

			$user_id = $user->id;
			$role_id = $user->is_admin;

			
			if($role_id == 1)
			{
				Auth::shouldUse('administrator');
			}
			else
			{
				
				$this->guard()->logout();
				$request->session()->invalidate();
				return redirect('/administrator_login');
			}
		}
		return $next($request);
    }

	protected function guard()
    {
        return Auth::guard('administrator');
    }
}
