@extends('layouts.app')

@section('title', '課金メニュー')

@section('content')
<div class="container" id="home">
    <div class="row justify-content-center">
        <div class="col-md-10">
            <div class="card">
                <div class="card-header">
                    <h4 class="header-title m-t-0 float-left"><?= $page_title ?></h4>
                    <div class="float-right">
                        <a href="#logout" onclick="$('#logout').submit();" ><button type="button" id="tooltip-animation" class="btn btn-success" >ログアウト</button></a>
                    </div>
                    
                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col-12">
                            <div class="card-box">
                                
                                
                                  @if (Session::has('success'))  
                                  <div class="alert alert-success alert-dismissible fade show" role="alert">
                                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                      </button>{{ Session::get('success') }}
                                      
                                  </div>
                                  @endif
                                  @if (Session::has('error'))
                                  <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                          <span aria-hidden="true">×</span>
                                      </button>
                                      {{ Session::get('error') }}
                                  </div>
                                  @endif
                                
                                  
                                <h4 class="header-title m-t-20">自動継続課金</h4>
                                <p class="text-muted m-b-25 font-13">※容量をアップグレードされるお客様には月額利用をお勧めします。</p>

                                <div class="row">
                                    <div class="col-lg-12 col-md-10">

                                        <table class="table">
                                            <thead>
                                            
                                            </thead>
                                            <tbody>
                                            @if (count($packages) > 0)

                                            @foreach ($packages as $package)

                                                @php

                                                    $btn1_disabled = $btn2_disabled = "";
                                                    $btn1_text = $btn2_text = "契約する";
                                                    $btn1_class = $btn2_class = "btn-primary";
                                                    $upgrade = "";
                                                    $upgrade_flg = 0;

                                                    

                                                    

                                                    if(isset($current_subscription['package_id']) || $user->package_id !=='0'){
                                                        
                                                        $upgrade_flg = 1;
                                                    
                                                        $created = strtotime($current_subscription['created_at']);
                                                    
                                                        $next_scheduled = $current_subscription['current_period_end'];
                                                    }

                                                        if( $package->id<=$user->package_id){
                                                            $btn1_disabled = $btn2_disabled = "disabled";
                                                            $btn1_text = $btn2_text = "";
                                                            $btn1_class = $btn2_class = "btn-secondary";
                                                        }

                                                        if($package->id == $user->package_id && $user->interval == '1'){
                                                            $btn1_disabled = "disabled";
                                                            $btn1_text = "契約中";
                                                            $btn1_class = "btn-success";

                                                            $btn2_disabled = "";
                                                            $btn2_text = "契約する";
                                                            $btn2_class = "btn-primary";
                                                        }else if($package->id == $user->package_id && $user->interval == '2'){
                                                            $btn2_disabled = "";
                                                            $btn2_text = "契約中";
                                                            $btn2_class = "btn-success";
                                                        }



                                                    

                                                @endphp
                                            <tr data-entry-id="{{ $package->id }}">
                                                <td class="vertical-middle">{{ $package->plan_name }}</td>
                                                <td class="vertical-middle">{{ $package->plan_description }}</td>
                                                <td class="vertical-middle">
                                                    <div class="m-b-20 form-inline">
                                                        <p class="mb-0 mr-5">月額</p> 
                                                        <p class="mb-0 ml-5">{{ $package->monthly_price }}円</p>   
                                                    </div>
                                                    <div class="m-b-0 form-inline">
                                                        <p class="mb-0 mr-5">年額</p>    
                                                        <p class="mb-0 ml-5">{{ $package->yearly_price }}円</p>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="mb-1 form-inline">
                                                        <button type="button" data-period="monthly" data-amount="{{ $package->monthly_price }}"  {{$btn1_disabled }} data-toggle="modal" @if($upgrade_flg == 1) onclick="confirm_upgrade();" @else data-target="#signup-modal" @endif  class="btn {{ $btn1_class}} payment" >{{ $btn1_text}}</button>
                                                    </div>
                                                    <div class="m-b-0 form-inline">
                                                        <button type="button" data-period="yearly" data-amount="{{ $package->yearly_price }}"  {{$btn2_disabled }} data-toggle="modal" @if($upgrade_flg == 1) onclick="confirm_upgrade();" @else data-target="#signup-modal" @endif  class="btn {{$btn2_class}} payment" >{{ $btn2_text}}</button>
                                                    </div>
                                                </td>
                                            </tr>
                                            @php
                                            if(isset($current_subscription['package_id'])){
                                            if($package->id == $user->package_id ){
                                            @endphp
                                            <tr class="description">
                                                <td class="" colspan="10">
                                                   
                                                    <div class="description_wrap" >
                                                    @if($next_scheduled !=='' )
                                                      <p>契約 {{ $package->plan_name }}&nbsp;&nbsp;&nbsp;&nbsp;  登録日 {{ date('Y/m/d ', $created) }}&nbsp;&nbsp;&nbsp;&nbsp; 次回課金予定日 {{ date('Y/m/d ', $next_scheduled) }}</p>
                                                    @endif
                                                      <div class="cancel_button">
                                                          <button type="button" data-period="monthly" data-amount="{{ $package->monthly_price }}"   onclick="cancel_subs('{{$current_subscription['s_id']}}','{{$current_subscription['subscription_id']}}');"   class="btn btn-danger payment" >継続解除</button>
                                                      </div>
                                                      
                                                    </div>
                                                    
                                                </td> 
                                            </tr>
                                            @php 
                                                } 
                                            }

                                            @endphp
                                           
                                            

                                            @endforeach
                                            @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="signup-modal" class="modal fade " tabindex="-1" role="dialog" aria-labelledby="custom-width-modalLabel" style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>

            <div class="modal-body">
                <div class="padding">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-header">
                                    <strong>クレジットカード決済お申し込み</strong>
                                    <small></small>
                                </div>
                                {!! Form::open(['method' => 'POST','name'=>'user-form','id'=>'payment-form','data-cc-on-file'=>'false', 'class'=>'form-horizontal validation-form','data-parsley-validate','route' => ['payment']]) !!}
                                @if(isset($current_subscription['package_id']))
                                <input type="hidden" name="is_upgrade" value="1">
                                <input type="hidden" name="cur_subscription_id" value="{{$current_subscription['subscription_id']}}">
                                <input type="hidden" name="sub_primary_id" value="{{$current_subscription['s_id']}}">
                                @endif
                                <input type="hidden" name="plan_id">
                                <input type="hidden" name="plan_period">
                                <input type="hidden" name="price">
                                <input type="hidden" name="holder_name">
                                <input type="hidden" name="data-stripe-publishable-key" value="{{env('STRIPE_KEY')}}">
                                <input type="hidden" name="stripe_token">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group required">
                                                <label for="name">カード名義</label>
                                                <input class="form-control" id="name" type="text" placeholder="山田太郎">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group required">
                                                <label for="ccnumber">カード番号</label>
                                                <div class="input-group">
                                                    <input class="form-control card-number" type="text" placeholder="0000 0000 0000 0000" autocomplete="email" size='20'>
                                                    <div class="input-group-append">
                                                        <span class="input-group-text">
                                                            <i class="mdi mdi-credit-card"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-sm-6 required">
                                            <label for="ccmonth">カード有効期限(月)</label>
                                            <select class="form-control card-expiry-month" id="ccmonth">
                                                <option>1</option>
                                                <option>2</option>
                                                <option>3</option>
                                                <option>4</option>
                                                <option>5</option>
                                                <option>6</option>
                                                <option>7</option>
                                                <option>8</option>
                                                <option>9</option>
                                                <option>10</option>
                                                <option>11</option>
                                                <option>12</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-6 required">
                                            <label for="ccyear">カード有効期限(年)</label>
                                            <select class="form-control card-expiry-year" id="ccyear">
                                                
                                                <option>2022</option>
                                                <option>2023</option>
                                                <option>2024</option>
                                                <option>2025</option>
                                                <option>2026</option>
                                                <option>2027</option>
                                                <option>2028</option>
                                                <option>2029</option>
                                            </select>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group required">
                                                <label for="cvv">セキュリティコード(CVC)</label>
                                                <input class="form-control card-cvc" id="cvv" size='4' type="text" placeholder="123">
                                            </div>
                                        </div>
                                    </div>
                                    <div class='form-row row'>
                                        <div class='col-md-12 error form-group hide'>
                                            <div class='alert-danger alert'>エラーが発生しました。入力内容をご確認ください。</div>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="card-footer">
                                    <button class="btn btn-sm btn-success float-right" id="form_submit" type="button">
                                        <i class="mdi mdi-gamepad-circle"></i> お申し込み</button>
                                    <button class="btn btn-sm btn-danger reset" type="reset">
                                        <i class="mdi mdi-lock-reset"></i> RESET</button>
                                </div>
                                {!! Form::close() !!} 
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

<!-- confirm modal -->
<div id="confirm-modal" class="modal fade " tabindex="-1" role="dialog" aria-labelledby="custom-width-modalLabel" style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>

            <div class="modal-body">
                <div class="padding">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card">
                                <div class="card-header">
                                    <strong>課金情報確認</strong>
                                    <small></small>
                                </div>
                                
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group d-flex required">
                                                <div class="col-sm-4">
                                                   <label for="name">カード名義</label> 
                                                </div>
                                                <div class="col-sm-8">
                                                    <label for="name" id="confirm_holder_name" class="pull-left">カード名義</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group d-flex required">
                                                <div class="col-sm-4">
                                                   <label for="name">プラン内容</label> 
                                                </div>
                                                <div class="col-sm-8">
                                                    <label for="name" id="confirm_plan" class="pull-left">カード名義</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group d-flex required">
                                                <div class="col-sm-4">
                                                   <label for="name">課金種別</label> 
                                                </div>
                                                <div class="col-sm-8">
                                                    <label for="name" id="confirm_plan_type" class="pull-left">カード名義</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group d-flex required">
                                                <div class="col-sm-4">
                                                   <label for="name">金額</label> 
                                                </div>
                                                <div class="col-sm-8">
                                                    <label for="name" id="confirm_price" class="pull-left">カード名義</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                   
                                    
                                </div>
                                
                                <div class="card-footer">
                                    <button class="btn btn-sm btn-success float-right" id="confirm_submit" type="button">
                                        <i class="mdi mdi-gamepad-circle"></i> 確認</button>
                                    <button class="btn btn-sm btn-danger reset" data-dismiss="modal">
                                        <i class="mdi mdi-lock-reset"></i> キャンセル</button>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>
<!-- end confirm modal -->
@endsection

