<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('clear_cache', function () {

     \Artisan::call('config:cache');
     \Artisan::call('config:clear');

     dd("Cache is cleared");

 });


Route::get( '/', ['uses' => 'HomeController@index', 'as'   => 'home'] );

Route::get( 'login', ['uses' => 'Auth\LoginController@showLoginForm', 'as'   => 'login'] );
Route::post( 'login', ['uses' => 'Auth\LoginController@login', 'as'   => 'login'] );
Route::post( 'logout', ['uses' => 'Auth\LogoutController@logout', 'as'   => 'logout'] );
Route::get( 'register', ['uses' => 'Auth\RegisterController@showRegistrationForm', 'as'   => 'register'] );
Route::post( 'register', ['uses' => 'Auth\RegisterController@register', 'as'   => 'register'] );


Route::get( '/home', ['uses' => 'HomeController@index', 'as'   => 'home'] );
Route::post( '/payment', ['uses' => 'HomeController@subscription', 'as'   => 'payment'] );
Route::post( '/cancel_payment', ['uses' => 'HomeController@cancel_payment', 'as'   => 'cancel_payment'] );
Route::post( '/identification', ['uses' => 'HomeController@identification', 'as'   => 'identification'] );


// admin routes
Route::get( 'administrator/', function () { return redirect( '/administrator/home' ); } );
$this->get( 'administrator_login', 'Administrator\Auth\LoginController@showLoginForm' )->name( 'administrator_login' );
$this->post( 'administrator_login', 'Administrator\Auth\LoginController@login' );
$this->post( 'administrator_logout', 'Administrator\Auth\LoginController@logout')->name( 'administrator_logout' );

$this->get( 'administrator_register', 'Administrator\Auth\RegisterController@showRegistrationForm' )->name( 'administrator_register' );
$this->post( 'administrator_register', 'Administrator\Auth\RegisterController@register' );

// admin route start
Route::group( ['middleware' => ['administrator'], 'prefix' => 'administrator', 'as' => 'administrator.'], function () 
{
    Route::get( '/home', 'Administrator\HomeController@index' );
    Route::resource( 'users', 'Administrator\User\IndexController' );
    Route::post( 'user_save', ['uses' => 'Administrator\User\IndexController@save','as'   => 'users.save'] );
    Route::resource( 'packages', 'Administrator\Package\IndexController' );
    Route::post( 'package_save', ['uses' => 'Administrator\Package\IndexController@save','as'   => 'package.save'] );
    Route::resource( 'subscriptions', 'Administrator\Subscription\IndexController' );
    Route::post( 'check_subscription', ['uses' => 'Administrator\User\IndexController@check_subscription', 'as'   => 'check_subscription'] );

    
} );
// admin route end