<?php $__env->startSection('title', 'ユーザー管理'); ?>
<?php $__env->startSection('content'); ?>
<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h4 class="page-title float-left">ダッシュボード</h4>

                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item"><a href="#">管理者</a></li>
                            <li class="breadcrumb-item active">ダッシュボード</li>
                        </ol>

                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-12">
                    <?php if(Session::has('success')): ?>
                      <div class="alert alert-success alert-dismissible fade show" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                          <?php echo e(Session::get('success')); ?>

                      </div>
                      <?php endif; ?>
                      <?php if($errors->count() > 0): ?>
                      <div class="alert alert-danger alert-dismissible fade show" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                          入力に誤りがあります。
                      </div>
                      <?php endif; ?>
                    <div class="card-box">
                        <div class=" m-b-20">
                            <div class="row">
                                
                                <div class="col-md-6 form-inline">
                                    <?php echo Form::open(['method' => 'get','name'=>'user-form', 'class'=>'form-horizontal validation-form','data-parsley-validate','route' => ['administrator.users.index']]); ?>

                                    <div class="form-group float-left">
                                        <?php echo Form::text('search', old('search'), ['class' => 'form-control', 'placeholder' => 'ユーザーの検索','previous'=>'previous']); ?>

                                        
                                    </div>
                                    <?php echo Form::close(); ?> 
                                </div>
                                <div class="col-md-6 ">
                                  <div class=" float-right">
                                    <a href="<?php echo e(route('administrator.users.create')); ?>" class="btn btn-primary waves-effect w-md waves-light">新規作成</a>
                                     
                                  </div>
                                </div>
                            </div>
                        </div>
                        <table id="user_list" class="table table-striped table-bordered toggle-circle m-b-0" >
                            <thead>
                            <tr>
                                <th data-toggle="true">ID</th>
                                <th>メールアドレス</th>
                                <th data-hide="phone">苗字</th>
                                <th data-hide="phone, tablet">名前</th>
                                <th data-hide="phone">苗字カナ</th>
                                <th data-hide="phone, tablet">名前カナ</th>
                                <th data-hide="phone, tablet">登録日</th>
                                <th data-hide="phone, tablet">課金プラン</th>
                                <th data-hide="phone, tablet">課金方式</th>
                                <th data-hide="phone, tablet">⁕</th>
                            </tr>
                            </thead>
                            
                            <tbody>
                            

                            <?php if(count($users) > 0): ?>

                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                
                                if($user->interval == 1){
                                    $plan_period = '月額';
                                }else if($user->interval == 2){
                                    $plan_period = '年額';
                                }else{
                                    $plan_period = '';
                                }
                                
                            ?>
                            
                            <tr data-entry-id="<?php echo e($user->user_id); ?>">
                                <td><?php echo e($user->id); ?></td>
                                <td><?php echo e($user->email); ?></td>
                                <td><?php echo e($user->first_name); ?></td>
                                <td><?php echo e($user->last_name); ?></td>
                                <td><?php echo e($user->first_kana); ?></td>
                                <td><?php echo e($user->last_kana); ?></td>
                                <td><?php echo e($user->created_at); ?></td>
                                <td><?php echo e($user->plan_name); ?></td>
                                <td><?php echo e($plan_period); ?></td>
                                <td>
                                    <a href="<?php echo e(route('administrator.users.edit',[$user->id])); ?>" class="btn btn-xs btn-info" data-toggle="tooltip" data-placement="top" title="" data-original-title="編集"><i class="fa fa-pencil"></i></a>
                                  <?php echo Form::open(array(
                                  'style' => 'display: inline-block;',
                                  'method' => 'DELETE',
                                  'onsubmit' => "return confirm('このユーザーを削除してもよろしいですか?');",
                                  'route' => ['administrator.users.destroy', $user->id])); ?>

                                  <?php echo e(Form::button('<i class="fa fa-trash"></i>', ['type' => 'submit', 'class' => 'btn btn-danger btn-xs'] )); ?>

                                  <?php echo Form::close(); ?>

                                </td>
                            </tr>
                           
                            
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                            <tr>
                              <td colspan="10">検索データはありません。</td>
                            </tr>
                            <?php endif; ?>
                            </tbody>
                            
                        </table>
                        <div class="pagination-wrapper text-right">
                            <?php echo $paging; ?>

                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
    
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('administrator.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>