@extends('administrator.layouts.app')
@section('content')
<section class="content-header">
  <h1>パスワードを変更する</h1>
</section>
<section class="content">
        <div class="row">
            <div class="col-md-12">
                @if (Session::has('message'))
                    <div class="alert alert-info">
                        <p>{{ Session::get('message') }}</p>
                    </div>
                @endif
                @if ($errors->count() > 0)
                    <div class="alert alert-danger">
                        <ul class="list-unstyled">
                            @foreach($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if(session('success'))
                    <div class="alert alert-success">
                        {{ session('success') }}
                    </div>
               @endif
	       </div>
        </div>
        <div class="row">
                <div class="col-md-9">
                  <div class="box box-primary">
                    {!! Form::open(['method' => 'PATCH','data-parsley-validate', 'route' => ['administrator.auth.change_password']]) !!}
                      <div class="box-body">
                        <div class="form-group">
                        {!! Form::label('current_password', '現在のパスワード'.': * ', ['class' => 'control-label']) !!}
						{!! Form::password('current_password', ['class' => 'form-control', 'placeholder' => '','required'=>'','data-parsley-required-message' => '現在のパスワードフィールドは必須です']) !!}
						<p class="help-block"></p>
						@if($errors->has('current_password'))
							<p class="help-block">
								{{ $errors->first('current_password') }}
							</p>
						@endif
                       </div>
                       <div class="form-group">
                        {!! Form::label('new_password', '新しいパスワード'.': * ', ['class' => 'control-label']) !!}
						{!! Form::password('new_password', ['class' => 'form-control', 'placeholder' => '','required'=>'','data-parsley-required-message' => '新しいパスワードフィールドが必要です']) !!}
						<p class="help-block"></p>
						@if($errors->has('new_password'))
							<p class="help-block">
								{{ $errors->first('new_password') }}
							</p>
						@endif
                        </div>
                        <div class="form-group">
                        {!! Form::label('new_password_confirmation', '新しいパスワードの確認'.': * ', ['class' => 'control-label']) !!}
						{!! Form::password('new_password_confirmation', ['class' => 'form-control', 'placeholder' => '','required'=>'','data-parsley-required-message' => '新しいパスワードの確認フィールドは必須です','data-parsley-equalto'=>'#new_password','data-parsley-equalto-message'=>'パスワードの確認と新しいパスワードは同じである必要があります。']) !!}
						<p class="help-block"></p>
						@if($errors->has('new_password_confirmation'))
							<p class="help-block">
								{{ $errors->first('new_password_confirmation') }}
							</p>
						@endif
                        </div>
                     </div>
                      <div class="box-footer">
                        {!! Form::submit('保存する', ['class' => 'btn btn-danger']) !!}
                      </div>
                 	  {!! Form::close() !!}
                  </div>
                </div>
          </div>
 </section>
@stop
