@extends('administrator.layouts.app')
@section('title', 'プラン管理')
@section('content')
<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h4 class="page-title float-left">ダッシュボード</h4>

                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item"><a href="#">管理者</a></li>
                            <li class="breadcrumb-item active">プラン管理</li>
                        </ol>

                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                
                <div class="col-12">
                    @if (Session::has('success'))
                      <div class="alert alert-success alert-dismissible fade show" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                          {{ Session::get('success') }}
                      </div>
                      @endif
                      @if ($errors->count() > 0)
                      <div class="alert alert-danger alert-dismissible fade show" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                          入力に誤りがあります。
                      </div>
                      @endif
                    <div class="card-box">
                        <div class=" m-b-10">
                            <div class="row">
                                
                                <div class="col-md-6 form-inline">
                                    {!! Form::open(['method' => 'get','name'=>'user-form', 'class'=>'form-horizontal validation-form','data-parsley-validate','route' => ['administrator.users.index']]) !!}
                                    <div class="form-group float-left">
                                        {!! Form::text('search', old('search'), ['class' => 'form-control', 'placeholder' => 'プラン検索','previous'=>'previous']) !!}
                                        {!! Form::close() !!} 
                                    </div>
                                    
                                </div>
                                <div class="col-md-6 ">
                                  <div class=" float-right">
                                    <a href="{{ route('administrator.packages.create') }}" class="btn btn-primary waves-effect w-md waves-light">新規作成</a>
                                     <!-- <button type="button" class="btn btn-primary waves-effect w-md waves-light">新規作成</button> -->
                                  </div>
                                </div>
                            </div>
                        </div>
                        <table id="user_list" class="table table-striped table-bordered toggle-circle m-b-0" >
                            <thead>
                            <tr>
                                <th data-toggle="true">ID</th>
                                <th>プラン名</th>
                                <th data-hide="phone">プラン内容</th>
                                <th data-hide="phone, tablet">月額</th>
                                <th data-hide="phone">年額</th>
                                <th data-hide="phone, tablet" width="100">⁕</th>
                            </tr>
                            </thead>
                            
                            <tbody>
                            

                            @if (count($packages) > 0)
                            
                            @foreach ($packages as $package)
                            <tr data-entry-id="{{ $package->id }}">
                                <td>{{$package->id}}</td>
                                <td>{{ $package->plan_name }}</td>
                                <td>{{ $package->plan_description }}</td>
                                <td>{{ $package->monthly_price }}円</td>
                                <td>{{ $package->yearly_price }}円</td>
                                <td class="actions">
                                  <a href="{{ route('administrator.packages.edit',[$package->id]) }}" class="btn btn-xs btn-info" data-toggle="tooltip" data-placement="top" title="" data-original-title="編集"><i class="fa fa-pencil"></i></a>
                                  {!! Form::open(array(
                                  'style' => 'display: inline-block;',
                                  'method' => 'DELETE',
                                  'onsubmit' => "return confirm('このプランを削除してもよろしいですか?');",
                                  'route' => ['administrator.packages.destroy', $package->id])) !!}
                                  {{ Form::button('<i class="fa fa-trash"></i>', ['type' => 'submit', 'class' => 'btn btn-danger btn-xs'] )  }}
                                  {!! Form::close() !!}
                                  
                                </td>
                            </tr>
                           
                            
                            @endforeach
                            @else
                            <tr>
                              <td colspan="10">検索データはありません。</td>
                            </tr>
                            @endif
                            </tbody>
                            
                        </table>
                        <div class="pagination-wrapper text-right">
                            {!! $paging !!}
                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
    
@endsection 