@extends('administrator.layouts.app')
@section('title', 'ユーザー管理')
@section('content')
<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h4 class="page-title float-left">ダッシュボード</h4>

                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item"><a href="#">管理者</a></li>
                            <li class="breadcrumb-item active">ダッシュボード</li>
                        </ol>

                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-12">
                    @if (Session::has('success'))
                      <div class="alert alert-success alert-dismissible fade show" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                          {{ Session::get('success') }}
                      </div>
                      @endif
                      @if ($errors->count() > 0)
                      <div class="alert alert-danger alert-dismissible fade show" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                          入力に誤りがあります。
                      </div>
                      @endif
                    <div class="card-box">
                        <div class=" m-b-20">
                            <div class="row">
                                
                                <div class="col-md-6 form-inline">
                                    {!! Form::open(['method' => 'get','name'=>'user-form', 'class'=>'form-horizontal validation-form','data-parsley-validate','route' => ['administrator.users.index']]) !!}
                                    <div class="form-group float-left">
                                        {!! Form::text('search', old('search'), ['class' => 'form-control', 'placeholder' => 'ユーザーの検索','previous'=>'previous']) !!}
                                        
                                    </div>
                                    {!! Form::close() !!} 
                                </div>
                                <div class="col-md-6 ">
                                  <div class=" float-right">
                                    <a href="{{ route('administrator.users.create') }}" class="btn btn-primary waves-effect w-md waves-light">新規作成</a>
                                     
                                  </div>
                                </div>
                            </div>
                        </div>
                        <table id="user_list" class="table table-striped table-bordered toggle-circle m-b-0" >
                            <thead>
                            <tr>
                                <th data-toggle="true">ID</th>
                                <th>メールアドレス</th>
                                <th data-hide="phone">苗字</th>
                                <th data-hide="phone, tablet">名前</th>
                                <th data-hide="phone">苗字カナ</th>
                                <th data-hide="phone, tablet">名前カナ</th>
                                <th data-hide="phone, tablet">登録日</th>
                                <th data-hide="phone, tablet">課金プラン</th>
                                <th data-hide="phone, tablet">課金方式</th>
                                <th data-hide="phone, tablet">⁕</th>
                            </tr>
                            </thead>
                            
                            <tbody>
                            

                            @if (count($users) > 0)

                            @foreach ($users as $user)
                            @php
                                
                                if($user->interval == 1){
                                    $plan_period = '月額';
                                }else if($user->interval == 2){
                                    $plan_period = '年額';
                                }else{
                                    $plan_period = '';
                                }
                                
                            @endphp
                            
                            <tr data-entry-id="{{ $user->user_id }}">
                                <td>{{$user->id}}</td>
                                <td>{{ $user->email }}</td>
                                <td>{{ $user->first_name }}</td>
                                <td>{{ $user->last_name }}</td>
                                <td>{{ $user->first_kana }}</td>
                                <td>{{ $user->last_kana }}</td>
                                <td>{{ $user->created_at }}</td>
                                <td>{{ $user->plan_name }}</td>
                                <td>{{ $plan_period }}</td>
                                <td>
                                    <a href="{{ route('administrator.users.edit',[$user->id]) }}" class="btn btn-xs btn-info" data-toggle="tooltip" data-placement="top" title="" data-original-title="編集"><i class="fa fa-pencil"></i></a>
                                  {!! Form::open(array(
                                  'style' => 'display: inline-block;',
                                  'method' => 'DELETE',
                                  'onsubmit' => "return confirm('このユーザーを削除してもよろしいですか?');",
                                  'route' => ['administrator.users.destroy', $user->id])) !!}
                                  {{ Form::button('<i class="fa fa-trash"></i>', ['type' => 'submit', 'class' => 'btn btn-danger btn-xs'] )  }}
                                  {!! Form::close() !!}
                                </td>
                            </tr>
                           
                            
                            @endforeach
                            @else
                            <tr>
                              <td colspan="10">検索データはありません。</td>
                            </tr>
                            @endif
                            </tbody>
                            
                        </table>
                        <div class="pagination-wrapper text-right">
                            {!! $paging !!}
                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
    
@endsection 