<?php $__env->startSection('title', 'ユーザー管理'); ?>
<?php $__env->startSection('content'); ?>
<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h4 class="page-title float-left">新規ユーザー追加</h4>

                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item"><a href="#">管理者</a></li>
                            <li class="breadcrumb-item active">ユーザー追加</li>
                        </ol>

                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-md-8">
                  <?php if(Session::has('success')): ?>
                  <div class="alert alert-success alert-dismissible fade show" role="alert">
                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                          <span aria-hidden="true">×</span>
                      </button>
                      <?php echo e(Session::get('success')); ?>

                  </div>
                  <?php endif; ?>
                  <?php if($errors->count() > 0): ?>
                  <div class="alert alert-danger alert-dismissible fade show" role="alert">
                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                          <span aria-hidden="true">×</span>
                      </button>
                      入力に誤りがあります。
                  </div>
                  <?php endif; ?>
                    <div class="card-box">
                       
                        <?php if(isset($user)): ?>
                          <?php echo Form::model($user, ['method' => 'POST','class'=>'form-horizontal validation-form','data-parsley-validate', 'route' => ['administrator.users.save']]); ?>

                          <input type="hidden" name="id" value="<?php echo e($user->id); ?>" />
                        <?php else: ?>
                          <?php echo Form::open(['method' => 'POST','name'=>'user-form', 'class'=>'form-horizontal validation-form','data-parsley-validate','route' => ['administrator.users.save']]); ?>

                          <input type="hidden" name="id" value="" />            
                        <?php endif; ?>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">メールアドレス</label>
                                <div class="col-10">
                                  <?php echo Form::email('email', old('email'), ['class' => 'form-control', 'placeholder' => '', 'required' => '', 'data-parsley-required-message' => 'メールアドレスが必要です', 'data-parsley-trigger' => 'keyup', 'data-parsley-maxlength' => '100']); ?>

                                </div>
                            </div>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">苗字</label>
                                <div class="col-10">
                                  <?php echo Form::text('first_name', old('first_name'), ['class' => 'form-control', 'placeholder' => '', 'required' => '', 'data-parsley-required-message' => '苗字が必要です', 'data-parsley-trigger' => 'keyup', 'data-parsley-maxlength' => '100']); ?>

                                </div>
                            </div>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">名前</label>
                                <div class="col-10">
                                  <?php echo Form::text('last_name', old('last_name'), ['class' => 'form-control', 'placeholder' => '', 'required' => '', 'data-parsley-required-message' => '名前が必要です', 'data-parsley-trigger' => 'keyup', 'data-parsley-maxlength' => '100']); ?>

                                </div>
                            </div>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">苗字カナ</label>
                                <div class="col-10">
                                  <?php echo Form::text('first_kana', old('first_kana'), ['class' => 'form-control', 'placeholder' => '',  'data-parsley-required-message' => '苗字カナが必要です', 'data-parsley-trigger' => 'keyup', 'data-parsley-maxlength' => '100']); ?>

                                </div>
                            </div>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">名前カナ</label>
                                <div class="col-10">
                                  <?php echo Form::text('last_kana', old('last_kana'), ['class' => 'form-control', 'placeholder' => '',  'data-parsley-required-message' => '名前カナが必要です', 'data-parsley-trigger' => 'keyup', 'data-parsley-maxlength' => '100']); ?>

                                </div>
                            </div>

                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">パスワード</label>
                                <div class="col-10">
                                  <?php echo Form::password('password', ['id' => 'password', 'class' => 'form-control', 'placeholder' => '', 'data-parsley-trigger'=>'keyup']); ?>

                                </div>
                            </div>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">パスワード再入力</label>
                                <div class="col-10">
                                  <?php echo Form::password('password_confirmation', ['class' => 'form-control', 'placeholder' => '', 'data-parsley-equalto' => '#password', 'data-parsley-trigger' => 'keyup']); ?>

                                </div>
                            </div>
                            
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">プラン</label>
                                <div class="col-10">
                                  <select class="form-control" name="package_id">

                                    <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $package): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($package->id); ?>" <?php if(isset($user) && $user->package_id == $package->id): ?> selected <?php endif; ?> ><?php echo e($package->plan_name); ?>:<?php echo e($package->plan_description); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if(isset($user) && $user->package_id == 0): ?> selected <?php endif; ?> value="0">プラン指定なし</option>
                                  </select>  
                                </div>
                            </div>
                            <div class="form-group row ">
                                <label class="col-2 col-form-label" for="planName">課金方式</label>
                                <div class="col-10">
                                    <div class="radio radio-primary">
                                        <input type="radio"  name="interval" <?php if(isset($user) && $user->interval == 1): ?> checked <?php endif; ?>  id="monthly" value="1">
                                        <label for="monthly">
                                            月額
                                        </label>
                                    </div>
                                    <div class="radio radio-primary">
                                        <input type="radio" name="interval" <?php if(isset($user) && $user->interval == 2): ?> checked <?php endif; ?> id="yearly" value="2">
                                        <label for="yearly">
                                            年額
                                        </label>
                                    </div>
                                </div>
                            </div>
                            
                            <?php echo Form::submit('保存する', ['class' => 'btn btn-danger']); ?> 
                            
                        </form>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
    
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('administrator.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>